linux: 3.5.0-48.72 -proposed tracker

Bug #1290459 reported by Joseph Salisbury on 2014-03-10
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-lbm
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-48.72 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 10. March 2014 17:24 UTC
kernel-stable-Certification-testing-end:Monday, 10. March 2014 18:00 UTC
kernel-stable-Prepare-package-end:Tuesday, 11. March 2014 04:11 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 11. March 2014 04:11 UTC
ppa-package-testing-start:Tuesday, 11. March 2014 05:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. March 2014 23:00 UTC
kernel-stable-Security-signoff-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Verification-testing-start:Friday, 14. March 2014 00:00 UTC
kernel-stable-Regression-testing-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Regression-testing-end:Monday, 17. March 2014 15:00 UTC
kernel-stable-Verification-testing-end:Friday, 21. March 2014 19:01 UTC
kernel-stable-Security-signoff-end:Saturday, 29. March 2014 15:00 UTC
kernel-stable-Promote-to-updates-start:Sunday, 30. March 2014 21:00 UTC
kernel-stable-Promote-to-updates-end:Monday, 31. March 2014 08:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 31. March 2014 10:01 UTC

tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2014-03-10
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1290673
linux-armadaxp - bug 1290674
linux-lowlatency - bug 1290675

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1290676

description: updated
Brad Figg (brad-figg) on 2014-03-11
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2014-03-13
description: updated
Brad Figg (brad-figg) on 2014-03-14
description: updated
Para Siva (psivaa) on 2014-03-17
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-03-17
description: updated
Brad Figg (brad-figg) on 2014-03-21
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2014-03-29
description: updated
Brad Figg (brad-figg) on 2014-03-30
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package linux - 3.5.0-48.72

---------------
linux (3.5.0-48.72) quantal; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1290459

  [ Upstream Kernel Changes ]

  * PCI: Enable ARI if dev and upstream bridge support it; disable
    otherwise
    - LP: #1285777
  * crypto: s390 - fix concurrency issue in aes-ctr mode
    - LP: #1285777
  * crypto: s390 - fix des and des3_ede cbc concurrency issue
    - LP: #1285777
  * crypto: s390 - fix des and des3_ede ctr concurrency issue
    - LP: #1285777
  * ALSA: usb-audio: Add missing kconfig dependecy
    - LP: #1285777
  * [media] mxl111sf: Fix unintentional garbage stack read
    - LP: #1285777
  * [media] mxl111sf: Fix compile when CONFIG_DVB_USB_MXL111SF is unset
    - LP: #1285777
  * drm/mgag200: fix typo causing bw limits to be ignored on some chips
    - LP: #1285777
  * ALSA: hda - Improve loopback path lookups for AD1983
    - LP: #1285777
  * x86, hweight: Fix BUG when booting with CONFIG_GCOV_PROFILE_ALL=y
    - LP: #1285777
  * mm/swap: fix race on swap_info reuse between swapoff and swapon
    - LP: #1285777
  * mm: __set_page_dirty_nobuffers() uses spin_lock_irqsave() instead of
    spin_lock_irq()
    - LP: #1285777
  * mm: __set_page_dirty uses spin_lock_irqsave instead of spin_lock_irq
    - LP: #1285777
  * sched,rt: fix isolated CPUs leaving root_task_group indefinitely
    throttled
    - LP: #1285777
  * sched: Unthrottle rt runqueues in __disable_runtime()
    - LP: #1285777
  * sched/rt: Avoid updating RT entry timeout twice within one tick period
    - LP: #1285777
  * rtc-cmos: Add an alarm disable quirk
    - LP: #1285777
  * timekeeping: Avoid possible deadlock from clock_was_set_delayed
    - LP: #1285777
  * timekeeping: fix 32-bit overflow in get_monotonic_boottime
    - LP: #1285777
  * ahci: Use PCI_VENDOR_ID_MARVELL_EXT for 0x1b4b
    - LP: #1285777
  * ahci: add an observed PCI ID for Marvell 88se9172 SATA controller
    - LP: #1285777
  * ftrace: Synchronize setting function_trace_op with
    ftrace_trace_function
    - LP: #1285777
  * ftrace: Fix synchronization location disabling and freeing ftrace_ops
    - LP: #1285777
  * ftrace: Have function graph only trace based on global_ops filters
    - LP: #1285777
  * printk: Fix scheduling-while-atomic problem in console_cpu_notify()
    - LP: #1285777
  * staging:iio:ad799x fix error_free_irq which was freeing an irq that may
    not have been requested
    - LP: #1285777
  * xhci: Fix resume issues on Renesas chips in Samsung laptops
    - LP: #1285777
  * KVM: return an error code in kvm_vm_ioctl_register_coalesced_mmio()
    - LP: #1285777
  * power: max17040: Fix NULL pointer dereference when there is no
    platform_data
    - LP: #1285777
  * s390/dump: Fix dump memory detection
    - LP: #1285777
  * ath9k_htc: Do not support PowerSave by default
    - LP: #1285777
  * ath9k: Do not support PowerSave by default
    - LP: #1285777
  * spi: nuc900: Set SPI_LSB_FIRST for master->mode_bits if hw->pdata->lsb
    is true
    - LP: #1285777
  * usb: ftdi_sio: add Mindstorms EV3 console adapter
    - LP: #1285777
  * usb-storage: restrict bcdDevice range for Super ...

Read more...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-03-31
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers